Bug 1404618 - mpdris2: Switch to Python 3
Summary: mpdris2: Switch to Python 3
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mpdris2
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1368911 1507235
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-12-14 09:36 UTC by Iryna Shcherbina
Modified: 2017-11-15 20:14 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-15 17:40:42 UTC


Attachments (Terms of Use)
Switch to python 3 (3.08 KB, patch)
2016-12-19 13:45 UTC, Hristo Venev
no flags Details | Diff

Description Iryna Shcherbina 2016-12-14 09:36:58 UTC
Upstream, this software supports Python 3 [0]. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [1], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [2].

Since users aren't expected to import this tool from Python code,
you can just switch to /usr/bin/python3. Alternatively, if you want or
need to keep a Python 2 version, the current best practice is to provide
subpackages -- this is called "Common SRPM" in the guidelines.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [3].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!

[0] https://github.com/eonpatapon/mpDris2/blob/master/NEWS#L34
[1] https://fedoraproject.org/wiki/Packaging:Python
[2] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[3] http://python-rpm-porting.readthedocs.io/

Comment 1 Ankur Sinha (FranciscoD) 2016-12-14 15:22:47 UTC
Thanks for the bug report. Looking into it.

Comment 2 Hristo Venev 2016-12-19 13:45 UTC
Created attachment 1233379 [details]
Switch to python 3

mpDris2 is fully compatible with python3 (don't forget to change shebang). But python3-mpd is not. mpDris 2 can use python-mpd2 instead (see #1368911) which is python 3 compatible.

Playing, pausing, prev/next seem to work.

Comment 3 Ankur Sinha (FranciscoD) 2016-12-21 09:35:48 UTC
Thanks for the patch. Applying it now.

If we're going to switch to py3 and depend on python-mpd2, though, we're going to have to wait until the package is reviewed and accepted in Fedora. Otherwise mpdris ceases to function. :/

Comment 4 Ankur Sinha (FranciscoD) 2016-12-22 02:53:42 UTC
Everything is ready here:

http://pkgs.fedoraproject.org/cgit/rpms/mpdris2.git/log/?h=python-mpd2

But I won't merge it to master until python-mpd2 is in Fedora :)

Comment 5 Fedora End Of Life 2017-02-28 10:47:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 6 "FeRD" (Frank Dana) 2017-07-05 02:58:03 UTC
As I mentioned in bug 1368911, comment 5 this is no longer merely a nice-to-have, because (at least for me) mpDris2 is not functional using python-mpd in current python releases under Fedora 25. It breaks inside the mpd module code.

Running /usr/bin/mpDris2 from mpdris2-0.7-2.20160422gita3af302.fc25.noarch under python3, with python3-mpd2 installed (from a locally-built package), functions perfectly with no changes. So, if there's any way to accelerate the acceptance of python-mpd2 into the repo, and then get mpDris2 updated to use python3, it would really be a help.

Comment 7 Ankur Sinha (FranciscoD) 2017-10-28 16:37:39 UTC
Here's an F27 scratch build with python-mpd2 if anyone wants to test it out. Seems to work OK here :)

Comment 8 Ankur Sinha (FranciscoD) 2017-10-28 16:39:14 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=22761698

Comment 9 Ankur Sinha (FranciscoD) 2017-11-01 11:56:17 UTC
here's a build for rawhide, now that python-mpd2 is available there:

https://koji.fedoraproject.org/koji/buildinfo?buildID=992980

Testers welcome. I'll push updates to stable releases in a bit too.

Cheers!

Comment 10 Fedora Update System 2017-11-01 14:22:35 UTC
mpdris2-0.7-5.20171028git3c3fe12.fc27 python-mpd2-0.5.5-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7cbd10475c

Comment 11 Fedora Update System 2017-11-01 14:22:56 UTC
mpdris2-0.7-5.20171028git3c3fe12.fc27 python-mpd2-0.5.5-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7cbd10475c

Comment 12 Fedora Update System 2017-11-01 16:03:57 UTC
mpdris2-0.7-5.20171028git3c3fe12.fc27, python-mpd2-0.5.5-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7cbd10475c

Comment 13 Fedora Update System 2017-11-01 16:44:15 UTC
mpdris2-0.7-5.20171028git3c3fe12.fc27 python-mpd2-0.5.5-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7cbd10475c

Comment 14 Fedora Update System 2017-11-01 16:47:51 UTC
mpdris2-0.7-5.20171028git3c3fe12.fc26 python-mpd2-0.5.5-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-865887c093

Comment 15 Fedora Update System 2017-11-03 14:23:08 UTC
mpdris2-0.7-5.20171028git3c3fe12.fc26, python-mpd2-0.5.5-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-865887c093

Comment 16 Fedora Update System 2017-11-04 18:01:36 UTC
mpdris2-0.7-5.20171028git3c3fe12.fc27, python-mpd2-0.5.5-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7cbd10475c

Comment 17 Fedora Update System 2017-11-15 17:40:42 UTC
mpdris2-0.7-5.20171028git3c3fe12.fc27, python-mpd2-0.5.5-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-11-15 20:14:33 UTC
mpdris2-0.7-5.20171028git3c3fe12.fc26, python-mpd2-0.5.5-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.